function WindowSetting()
{
    this.name = "setting";
    this.layer = 0;

    var bg = new createjs.Bitmap(load.queue.getResult("bg_menu"));
    this.getImg.addChild(bg);

    this.btn_sound = new createjs.Container();

    this.btn_sound.x = 106*devise_size;
    this.btn_sound.y = 200*devise_size;
    this.btn_sound.regX = 26*devise_size;
    this.btn_sound.regY = 26*devise_size;
    var btn_sound_bg = ss_data.clone();
    btn_sound_bg.gotoAndStop("btn");
    this.btn_sound.addChild(btn_sound_bg);
    this.btn_sound_up = ss_data.clone();
    this.btn_sound_up.gotoAndStop("icon_sound");
    this.btn_sound.addChild(this.btn_sound_up);
    this.getImg.addChild(this.btn_sound);

    this.btn_music = new createjs.Container();

    this.btn_music.x = 214*devise_size;
    this.btn_music.y = 200*devise_size;
    this.btn_music.regX = 26*devise_size;
    this.btn_music.regY = 26*devise_size;
    var btn_music_bg = ss_data.clone();
    btn_music_bg.gotoAndStop("btn");
    this.btn_music.addChild(btn_music_bg);
    this.btn_music_up = ss_data.clone();
    this.btn_music_up.gotoAndStop("icon_music");
    this.btn_music.addChild(this.btn_music_up);
    this.getImg.addChild(this.btn_music);

    this.btn_help = new createjs.Container();
    this.btn_help.on("mousedown", function(){ tut = -1; window_controller.Show("tut"); });
    this.btn_help.x = 106*devise_size;
    this.btn_help.y = 300*devise_size;
    this.btn_help.regX = 26*devise_size;
    this.btn_help.regY = 26*devise_size;
    var btn_help_bg = ss_data.clone();
    btn_help_bg.gotoAndStop("btn");
    this.btn_help.addChild(btn_help_bg);
    var btn_help_up = ss_data.clone();
    btn_help_up.gotoAndStop("icon_help");
    this.btn_help.addChild(btn_help_up);
    this.getImg.addChild(this.btn_help);

    this.btn_i = new createjs.Container();
    this.btn_i.on("mousedown", function(){ window_controller.Show("about"); });
    this.btn_i.x = 214*devise_size;
    this.btn_i.y = 300*devise_size;
    this.btn_i.regX = 26*devise_size;
    this.btn_i.regY = 26*devise_size;
    var btn_i_bg = ss_data.clone();
    btn_i_bg.gotoAndStop("btn");
    this.btn_i.addChild(btn_i_bg);
    var btn_i_up = ss_data.clone();
    btn_i_up.gotoAndStop("icon_i");
    this.btn_i.addChild(btn_i_up);
    this.getImg.addChild(this.btn_i);

    this.btn_left = new createjs.Container();
    this.btn_left.on("mousedown", function(){ window_controller.Show("main_menu"); });
    this.btn_left.x = 5*devise_size;
    this.btn_left.y = 421*devise_size;
    this.btn_left.regY = 52*devise_size;
    var btn_left_bg = ss_data.clone();
    btn_left_bg.gotoAndStop("btn");
    this.btn_left.addChild(btn_left_bg);
    var btn_left_up = ss_data.clone();
    btn_left_up.gotoAndStop("icon_left");
    this.btn_left.addChild(btn_left_up);
    this.getImg.addChild(this.btn_left);
}
WindowSetting.prototype = new ClassWindow();

WindowSetting.prototype.Show = function()
{
    if(audio_supported && music!= undefined)
    {
        if(s_use_of_bonus_award.getMute())
            this.btn_sound_up.alpha = 0.5;
        else
            this.btn_sound_up.alpha = 1;
        if(music.getMute())
            this.btn_music_up.alpha = 0.5;
        else
            this.btn_music_up.alpha = 1;
    }
};